
# Titik Dalam Segiempat

Program ini digunakan untuk menentukan apakah suatu titik berada **di dalam** atau **di luar** segiempat pada bidang koordinat 2 dimensi.

## Penjelasan Singkat

Sebuah segiempat dapat dinyatakan dengan 4 buah titik sudut. Diberikan satu titik lain (misalnya titik Z), kita ingin mengetahui apakah titik Z ini terletak di dalam segiempat yang dibentuk oleh keempat titik tersebut.

Metode yang digunakan adalah algoritma **Ray Casting**, yang umum dipakai untuk menentukan apakah sebuah titik berada di dalam poligon tertutup.

## Cara Kerja Program

- Input: 5 pasang koordinat (1 untuk titik Z, 4 untuk titik sudut segiempat).
- Output: "YA" jika titik Z berada di dalam segiempat, "TIDAK" jika berada di luar.
- Format Input: `Zx,Zy Ax,Ay Bx,By Cx,Cy Dx,Dy`

Contoh:
```
1,1 2,2 4,2 4,4 2,4   -> TIDAK
0,0 0,5 8,5 8,0 0,0   -> YA
-1,-1 0,0 -9,-9 -9,-9 -9,-9 -> YA
```

## Kesimpulan

Program ini bermanfaat untuk berbagai aplikasi geospasial, simulasi komputer, dan grafika, terutama untuk:
- Deteksi lokasi objek dalam batas area tertentu.
- Validasi input pengguna dalam bentuk koordinat.
- Pengolahan data spasial di GIS.

## Contoh Penerapan

- Menentukan apakah koordinat GPS berada dalam batas wilayah tertentu.
- Memeriksa apakah klik mouse terjadi di dalam tombol atau area gambar.
- Digunakan dalam game development untuk deteksi area aktif.

